# module Kramdown::Utils::Entities

Provides convenience methods for handling named and numeric entities.

### Constants

ENTITY_MAP

  Contains the mapping of code point (or name) to the actual `Entity` object.

ENTITY_TABLE

  Array of arrays. Each sub-array specifies a code point and the associated name.

  This table is not used directly – `Entity` objects are automatically created from it and put into a Hash map when this file is loaded.

Entity

  Represents an entity that has a `code_point` and `name`.

### Public Class Methods

entity(point_or_name) click to toggle source

Return the entity for the given code point or name `point_or_name`.

        # File lib/kramdown/utils/entities.rb
    989 def entity(point_or_name)
    990   ENTITY_MAP[point_or_name]
    991 end

### Private Instance Methods

entity(point_or_name) click to toggle source

Return the entity for the given code point or name `point_or_name`.

        # File lib/kramdown/utils/entities.rb
    989 def entity(point_or_name)
    990   ENTITY_MAP[point_or_name]
    991 end